## extrace 0.4

=== Makefile ===
ALL=extrace pwait

CFLAGS=-g -O2 -Wall -Wno-switch -Wextra -Wwrite-strings -pedantic -ansi

DESTDIR=
PREFIX=/usr/local
BINDIR=$(PREFIX)/bin
MANDIR=$(PREFIX)/share/man

all: $(ALL)

README: extrace.1
	mandoc -Tutf8 $< | col -bx >$@

cap: $(ALL)
	sudo setcap cap_net_admin+ep extrace cap_net_admin+ep pwait

clean: FRC
	rm -f $(ALL)

install: FRC all
	mkdir -p $(DESTDIR)$(BINDIR) $(DESTDIR)$(MANDIR)/man1
	install -m0755 $(ALL) $(DESTDIR)$(BINDIR)
	install -m0644 $(ALL:=.1) $(DESTDIR)$(MANDIR)/man1

FRC:

=== debian/changelog ===
extrace (0.4-2) unstable; urgency=medium

  * debian/source/lintian-overrides
    * Relocate from source.lintian-overrides
    * Add debian-watch-could-verify-download
    * Rename debian-watch-may-check-gpg-signature

  * Switch to debhelper 11
  * Install upstream's changelog
  * Restrict Architecture to linux-any (Closes: 885012)
  * Add patch making non-standard signals optional (Closes: 885009)

  * Declare compliance with policy 4.1.3
   * debian/copyrigt: Use HTTPS for the format URL

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Tue, 13 Feb 2018 19:11:00 +0100

extrace (0.4-1) unstable; urgency=medium

  * Initial packaging (Closes: 882569)

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Fri, 24 Nov 2017 02:16:47 +0100

=== debian/control ===
Source: extrace
Maintainer: Nicolas Braud-Santoni <nicolas@braud-santoni.eu>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 11), dh-exec
Standards-Version: 4.1.3
Homepage: https://github.com/chneukirchen/extrace
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/extrace.git/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/extrace.git

Package: extrace
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: trace exec() calls system-wide
 extrace traces all program executions happening on a system,
 or the subset of program executions done by a given process and its
 descendants.  For example, to see what the shell really executes:
 .
 $ sudo extrace -p $(pidof zsh)
 8505 git rev-parse --is-inside-work-tree
 8506 direnv export zsh
 8511 git rev-parse --is-inside-work-tree
     8515 wc -l
   8516 whoami
 8542 hostname
 8543 git rev-parse --is-inside-work-tree
 8544 direnv export zsh
   8549 /bin/bash --noprofile --norc -c 'eval "$("/usr/bin/direnv" stdlib)" >&2\
          && source_env ".envrc" >&2 && "/usr/bin/direnv" dump'
       8551 /usr/bin/direnv stdlib
       8558 /usr/bin/direnv watch .envrc
       8565 dirname .envrc
       8567 basename .envrc
       8569 basename .envrc
   8549 /usr/bin/direnv dump
 8574 git rev-parse --is-inside-work-tree
     8578 wc -l
   8579 whoami

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/extrace-$1\.tar\.gz/ \
  https://github.com/chneukirchen/extrace/releases .*/v?(\d\S+)\.tar\.gz

## extrace 0.5

=== debian/changelog ===
extrace (0.5-1) unstable; urgency=medium

  * New upstream version (2018-03-23)
    Remove upstreamed patches

  * Bump Standards-Version to 4.1.4.
    No change required
  * debian/rules: Drop redundant dh argument

  * Move the packaging repository to salsa.d.o

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Mon, 30 Apr 2018 14:19:43 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 11), dh-exec
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://github.com/chneukirchen/extrace
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/extrace.git/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/extrace.git
+Vcs-Browser: https://salsa.debian.org/debian/extrace
+Vcs-Git: https://salsa.debian.org/debian/extrace.git
 
 Package: extrace
 Architecture: linux-any

## extrace 0.7

=== Makefile ===
--- 
+++ 
@@ -1,16 +1,16 @@
 ALL=extrace pwait
 
-CFLAGS=-g -O2 -Wall -Wno-switch -Wextra -Wwrite-strings -pedantic -ansi
+CFLAGS?=-g -O2 -Wall -Wno-switch -Wextra -Wwrite-strings -pedantic -ansi
 
 DESTDIR=
-PREFIX=/usr/local
+PREFIX?=/usr/local
 BINDIR=$(PREFIX)/bin
 MANDIR=$(PREFIX)/share/man
 
 all: $(ALL)
 
-README: extrace.1
-	mandoc -Tutf8 $< | col -bx >$@
+README: extrace.1 pwait.1
+	mandoc -Tutf8 $^ | col -bx >$@
 
 cap: $(ALL)
 	sudo setcap cap_net_admin+ep extrace cap_net_admin+ep pwait

=== debian/changelog ===
extrace (0.7-2) unstable; urgency=low

  [ nicoo ]
  * Move packaging branch to debian/sid
  * Update maintainer's name and address
  * Update upstream's signing key
  * Setup Salsa CI

  * d/watch: Update to uscan v4, switch to git mode, verify signatures
    Drop Lintian overrides (signatures are now checked by uscan)
  * Use upstream's canonical repo and homepage at vuxu.org
  * Fix typo in v0.7-1 changelog

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 0.6-1.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Create upstream metadata file
  * d/control: Update standards version to 4.5.0, no changes needed.

 -- nicoo <nicoo@debian.org>  Mon, 02 Nov 2020 12:56:11 +0100

extrace (0.7-1) unstable; urgency=medium

  * New upstream version (2019-02-08)
  * debian/control
    + Update the maintainer's email address
    + Declare compliance with policy v4.3.0.
      No change required

 -- nicoo <nicoo@debian.org>  Sat, 09 Feb 2019 15:39:02 +0100

extrace (0.6-1) unstable; urgency=medium

  * New upstream version (2018-07-19)

  * Get rid of a superfluous use of dh-exec
  * Update debian/copyright
  * Declare compliance with policy 4.1.5
    - Set Rules-Requires-Root to no
  * Make git-buildpackage xz-compress upstream tarballs and commit to
    pristine-tar This avoids cases where the upstream tarball isn't generated
    reproducibly.

 -- nicoo <nicoo@debian.org>  Sun, 19 Aug 2018 13:27:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: extrace
-Maintainer: Nicolas Braud-Santoni <nicolas@braud-santoni.eu>
+Maintainer: nicoo <nicoo@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 11), dh-exec
-Standards-Version: 4.1.4
-Homepage: https://github.com/chneukirchen/extrace
+Build-Depends: debhelper-compat (= 12)
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
+Homepage: https://git.vuxu.org/extrace/about/
 Vcs-Browser: https://salsa.debian.org/debian/extrace
 Vcs-Git: https://salsa.debian.org/debian/extrace.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

override_dh_installchangelogs:
	dh_installchangelogs NEWS.md

=== debian/watch ===
version=4
opts="mode=git, pgpmode=gittag" \
  https://git.vuxu.org/extrace/ refs/tags/v(\d\S+)
